| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::ItemPropertiesGPSTab Class Reference
Inheritance diagram for Digikam::ItemPropertiesGPSTab:

## Public Types
enum | WebGPSLocator { MapQuest = 0 , GoogleMaps , BingMaps , OpenStreetMap , LocAlizeMaps }

## Public Member Functions
| ItemPropertiesGPSTab (QWidget *const parent)
void | clearGPSInfo ()
int | getWebGPSLocator () const
void | readSettings (const KConfigGroup &group)
void | setActive (const bool state)
void | setCurrentUrl (const QUrl &url=QUrl())
void | setGPSInfoList (const GPSItemInfo::List &list)
void | setMetadata (DMetadata *const meta, const QUrl &url)
void | setWebGPSLocator (int locator)
void | writeSettings (KConfigGroup &group)